com.ibm.openpages.api.trigger.events

## Class RenameResourceEvent

- java.lang.Object
- - com.ibm.openpages.api.trigger.events.AbstractEvent
  - - com.ibm.openpages.api.trigger.events.AbstractResourceOperationEvent
    - - com.ibm.openpages.api.trigger.events.MoveResourceEvent
      - - com.ibm.openpages.api.trigger.events.RenameResourceEvent

-     public class RenameResourceEvent
      extends MoveResourceEvent

  Represents an event for renaming a resource object
  Since:
    8.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenameResourceEvent(Id sourceId, Id targetId, java.lang.String newName, MoveObjectOptions options, TriggerPositionType position, Context context)`
    `RenameResourceEvent(Id sourceId, java.lang.String newName, TriggerPositionType position, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getNewName()`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.events.MoveResourceEvent

      `getOptions, getSourceId, getTargetId`

    - ### Methods inherited from class com.ibm.openpages.api.trigger.events.AbstractEvent

      `getContext, getPosition, getTriggerEventType, hasOuterCreateWithRelationsEvent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenameResourceEvent

          public RenameResourceEvent(Id sourceId,
                                     Id targetId,
                                     java.lang.String newName,
                                     MoveObjectOptions options,
                                     TriggerPositionType position,
                                     Context context)

    - #### RenameResourceEvent

          public RenameResourceEvent(Id sourceId,
                                     java.lang.String newName,
                                     TriggerPositionType position,
                                     Context context)

  - ### Method Detail

    - #### getNewName

          public java.lang.String getNewName()

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.